<!--
IGAC proyecto SNC
@franz.gamba

@description  Panelgrid generar los documentos requeridos en el registro 
de documentos de tramite municipal
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridGenerarDocumentosRegsitrarTramMun">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
    <h:panelGrid id="adicionarSolicitudPrediosPnlGrd" columns="1"
                 cellspacing="3"
                 rendered="#{currentManagedBeanParam.adicionarSolicitudFlag}">

        <p:panel header="Otras entidades: Relación de predios">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel
                    value="Tratamiento:"
                    styleClass="outputLabelStyle" />
                <h:selectOneMenu id="tratamiento" label="Tratamiento"					
                                 value="#{currentManagedBeanParam.tratamiento}"
                                 required="true">
                    <f:selectItems
                        value="#{currentManagedBeanParam.tratamientoDestinatario}" />
                </h:selectOneMenu>

                <h:outputLabel for="nombreDelRepresentante"
                               value="Nombre del representante: " />
                <p:inputText id="nombreDelRepresentante"
                             value="#{currentManagedBeanParam.nombreRepresentante}"
                             label="nombreDelRepresentante" />

                <h:outputLabel for="cargo" value="Cargo: " />
                <p:inputText id="cargo"
                             value="#{currentManagedBeanParam.cargoRepresentante}" label="cargo" />

                <h:outputLabel for="nombreDeLaEntidad"
                               value="Nombre de la entidad: " />
                <p:inputText id="nombreDeLaEntidad"
                             value="#{currentManagedBeanParam.nombreDeLaEntidad}"
                             label="nombreDeLaEntidad" />

                <h:outputLabel for="direccion" value="Dirección: " />
                <p:inputText id="direccion"
                             value="#{currentManagedBeanParam.direccionEntidad}"
                             label="direccion" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>
    <h:panelGrid id="incoderRelacionPrediosPnlGrd" columns="1"
                 cellspacing="3"
                 rendered="#{currentManagedBeanParam.relacionPrediosIncoderFlag}">
        <p:panel header="INCODER: Relación de predios">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel for="nombreDirector1" value="Nombre del Director: " />
                <p:inputText id="nombreDirector1"
                             value="#{currentManagedBeanParam.nombreDirector}"
                             label="nombreDirector1" />

                <h:outputLabel for="direccionD1" value="Dirección: " />
                <p:inputText id="direccionD1"
                             value="#{currentManagedBeanParam.direccion}" label="direccionD1" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>
    <h:panelGrid id="incoderRiesgoDesplazamientoPnlGrd" columns="1"
                 cellspacing="3"
                 rendered="#{currentManagedBeanParam.prediosYZonasFlag}">
        <p:panel header="INCODER: Riesgo de desplazamiento">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel for="nombreDirector2" value="Nombre del Director: " />
                <p:inputText id="nombreDirector2"
                             value="#{currentManagedBeanParam.nombreDirector}"
                             label="nombreDirector2" />

                <h:outputLabel for="direccionD2" value="Dirección: " />
                <p:inputText id="direccionD2"
                             value="#{currentManagedBeanParam.direccion}" label="direccionD2" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>
    <h:panelGrid id="incoderResguardosPnlGrd" columns="1" cellspacing="3"
                 rendered="#{currentManagedBeanParam.resguardosIndigenasFlag}">
        <p:panel header="INCODER: Resguardos">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel for="nombreDirector3" value="Nombre del Director: " />
                <p:inputText id="nombreDirecto3r"
                             value="#{currentManagedBeanParam.nombreDirector}"
                             label="nombreDirector3" />

                <h:outputLabel for="direccionD3" value="Dirección: " />
                <p:inputText id="direccionD3"
                             value="#{currentManagedBeanParam.direccion}" label="direccionD3" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>
    <h:panelGrid id="solicitudPOTPnlGrd" columns="1" cellspacing="3"
                 rendered="#{currentManagedBeanParam.relacionPrediosAlcaldiaFlag}">
        <p:panel header="Solicitud POT">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel for="nombreAlcalde" value="Nombre del alcalde: " />
                <p:inputText id="nombreAlcalde"
                             value="#{currentManagedBeanParam.nombreAlcalde}"
                             label="nombreAlcalde" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>
    <h:panelGrid id="parquesNacionalesMINAMBPnlGrd" columns="1"
                 cellspacing="3"
                 rendered="#{currentManagedBeanParam.parquesNaturalesFlag}">
        <p:panel header="Ministerio del medio ambiente: Parques nacionales">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel for="nombreRepresentanteM"
                               value="Nombre del representante: " />
                <p:inputText id="nombreRepresentanteM"
                             value="#{currentManagedBeanParam.nombreRepresentante}"
                             label="nombreRepresentanteM" />

                <h:outputLabel for="direccionD4" value="Dirección: " />
                <p:inputText id="direccionD4"
                             value="#{currentManagedBeanParam.direccion}" label="direccionD4" />

            </h:panelGrid>
        </p:panel>
        <p:panel>
            <!-- botones -->
        </p:panel>
    </h:panelGrid>

</h:panelGrid>